onEvent('fluid.registry', f => {
    f.create('latex').textureThin(0xEBEAD5).bucketColor(0xEBEAD5).displayName('Latex')
    f.create('fryer_oil').textureThin(0xF5C632).bucketColor(0xF5C632).displayName('Fryer Oil')
    f.create('grease_of_pig').textureThin(0xD1CA8E).bucketColor(0xD1CA8E).displayName('Grease of Pig')
    f.create('liquid_fissile_fuel').textureThin(0x2E322F).bucketColor(0x2E322F).displayName('Liquid Fissile Fuel')
    f.create('liquid_blaze').textureThin(0xFCF02C).bucketColor(0xFCF02C).displayName('Liquid Blaze')
    f.create('liquid_redstone').textureThin(0xA80F01).bucketColor(0xA80F01).displayName('Liquid Redstone').luminosity(7)
    f.create('liquid_gold').textureThin(0xFAF25E).bucketColor(0xFAF25E).displayName('Liquid Gold')
    f.create('polluted_water').textureThin(0x563B2B).bucketColor(0x563B2B).displayName('Polluted Water')
    f.create('liquid_steel').textureThin(0xECDFCF).bucketColor(0xECDFCF).displayName('Liquid Steel')
    f.create('precoated').textureThin(0x8A7D72).bucketColor(0x8A7D72).displayName('Precoated')
})